# $Revision: 1.103 $, $Date: 2011/11/13 06:07:50 $
#
# Conditional build:
%bcond_without	python	# don't build Python 2 module
%bcond_without	tcl	# build Tcl module
#
Summary:	Not Erik's Windowing Toolkit - text mode windowing with slang
Summary(de.UTF-8):	Nicht Eriks Windowing Toolkit - Textmodus-Windowing mit Slang
Summary(fr.UTF-8):	Not Erik's Windowing Toolkit - fenêtrage en mode texte avec slang
Summary(pl.UTF-8):	Not Erik's Windowing Toolkit - okna w trybie tekstowym ze slangiem
Summary(tr.UTF-8):	Not Erik's Windowing Toolkit - metin kipi pencereleme sistemi
Name:		newt
Version:	0.52.14
Release:	1
License:	LGPL
Group:		Libraries
Source0:	https://fedorahosted.org/releases/n/e/newt/%{name}-%{version}.tar.gz
# Source0-md5:	eb78c6bb658b92ec7198908b5b8d0e37
Patch0:		%{name}-0.51.6-if1close.patch
Patch1:		%{name}-PIC.patch
Patch2:		%{name}-nopython.patch
Patch3:		%{name}-make.patch
Patch4:		gold.patch
URL:		https://fedorahosted.org/newt/
BuildRequires:	autoconf >= 2.50
BuildRequires:	docbook-utils
BuildRequires:	gettext-devel
BuildRequires:	popt-devel
%{?with_python:BuildRequires:	python-devel >= 1:2.5}
BuildRequires:	rpm-pythonprov
#BuildRequires:	sgml-tools
BuildRequires:	slang-devel >= 2.0.0
%{?with_tcl:BuildRequires:	tcl-devel >= 8.5}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Newt is a windowing toolkit for text mode built from the slang
library. It allows color text mode applications to easily use
stackable windows, push buttons, check boxes, radio buttons, lists,
entry fields, labels, and displayable text. Scrollbars are supported,
and forms may be nested to provide extra functionality. This pacakge
contains the shared library for programs that have been built with
newt.

%description -l de.UTF-8
Newt ist ein Windowing-Toolkit für Textmodus, konstruiert auf der
Grundlage der Slang-Library, mit dessen Hilfe Farbtext-Modus-
Applikationen leicht mit stapelbaren Fenstern, Schaltflächen,
Optionskästchen, Listen, Eingabefeldern, Etiketten und Display-Text
arbeiten können. Auch Bildlaufleisten erden unterstützt, und der
Einbau von Formularen ist möglich, wenn zusätzliche Funktionalität
gefordert ist.

%description -l fr.UTF-8
Newt est une boite à outil de fenétrage en mode texte, construit sur
la librarie slang. Elle permet aux applications en mode texte
d'utiliser simplement de multiples fenêtres, des bouttons, des cases à
cocher... Les barres de défilement sont supportées, et les fenêtres
peuvent être imbriquées pour donner des fonctionnalités nouvelles.

%description -l pl.UTF-8
Newt jest biblioteką typu toolkit ale do trybu tekstowego, osadzoną na
bibliotece slang. Umożliwia budowanie aplikacji pracujących w trybie
tekstowym umożliwiając operowanie na okienkach, przyciskach (push
button), listach wyboru, etykietach i elementach tekstowych jakie są
potrzebne przy tworzeniu interfejsu użytkownika w różnych aplikacjach.

%description -l tr.UTF-8
Newt ile karakter tabanlı ekranlarda renkli pencereler, kaydırma
çubukları, çeşitli tuşlar oluşturulabilir.

%package devel
Summary:	Developer's toolkit for newt windowing library
Summary(de.UTF-8):	Entwickler-Toolkit für die newt-Windowing-Library
Summary(fr.UTF-8):	Toolkit de développement pour la bibliothèque de fenêtrage newt
Summary(pl.UTF-8):	Pliki nagłówkowe dla newt
Summary(tr.UTF-8):	newt pencere kitaplığı için geliştirme dosyaları
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
These are the header files and libraries for developing applications
which use newt. Newt is a windowing toolkit for text mode, which
provides many widgets and stackable windows.

%description devel -l de.UTF-8
Dies sind die Header-Dateien und Libraries zur Entwicklung von
Applikationen, die mit newt arbeiten. Newt ist ein Windowing-Toolkit
für Textmodus, der viele Widgets und stapelbare Fenster enthält.

%description devel -l fr.UTF-8
En-têtes et bibliothèques pour le développement d'applications
utilisant newt. newt est un tookit de fenêtrage pour le mode texte
offrant de nombreux widgets et des fenêtres empilables.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla newt.

%description devel -l tr.UTF-8
Bu paket, newt ile geliştirme yapmak için gereken başlık dosyalarını
ve kitaplıkları içerir. Newt, metin ekranda çalışan bir pencereleme
kitaplığıdır.

%package static
Summary:	Newt static library
Summary(pl.UTF-8):	Biblioteka statyczna newt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Newt static library.

%description static -l pl.UTF-8
Biblioteka statyczna newt.

%package tcl
Summary:	Newt Tcl bindings
Summary(pl.UTF-8):	Dodatki do Tcl z Newta
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}

%description tcl
Newt Tcl bindings.

%description tcl -l pl.UTF-8
Dodatki do Tcl z Newta.

%package -n python-snack
Summary:	Newt python bindings
Summary(pl.UTF-8):	Dodatki do pythona z Newta
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-python = %{version}-%{release}
Provides:	snack = %{version}-%{release}
Obsoletes:	newt-python

%description -n python-snack
Newt python bindings

%description -n python-snack -l pl.UTF-8
Dodatki do pythona z Newta.

%package -n whiptail
Summary:	A dialog compliant program to build tty dialog boxes
Summary(pl.UTF-8):	Program do tekstowych okienek dialogowych kompatybilny z dialog
Group:		Applications/Terminal

%description -n whiptail
Dialog compliant utility that allows you to build user interfaces in a
TTY (text mode only). You can call dialog from within a shell script
to ask the user questions or present with choices in a more user
friendly manner.

%description -n whiptail -l pl.UTF-8
Program umożliwiający budować interfejsy użytkownika na terminalu
tekstowym, kompatybilny z programem dialog. Pozwala wywołać dialog ze
skryptu shella, aby zdać pytania użytkownikowi w sposób bardziej
przyjazny.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__sed} -i -e 's,^#include <slang.h>$,#include <slang/slang.h>,g' dialogboxes.c

%build
%{__autoconf}
%configure \
	CPPFLAGS="-fPIC %{rpmcppflags}" \
	--with-gpm-support \
	%{!?with_tcl:--without-tcl}

%{__make} \
	PYTHONVERS="python%{py_ver}" \
	LIBTCL=-ltcl \
	%{!?with_python:SNACKSO=}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHONVERS="python%{py_ver}" \
	%{!?with_tcl:WHIPTCLSO=} \
	%{!?with_python:SNACKSO=} \
	instroot=$RPM_BUILD_ROOT \
	libdir=%{_libdir} \
	pythondir=%{py_sitedir} \
	pythonbindir=%{py_sitedir}

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# not supported
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/bal

#it just plain doesn't work... fix it if you can
#sgml2txt tutorial.sgml

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnewt.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnewt.so.0.52

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnewt.so
%{_includedir}/newt.h
%{_pkgconfigdir}/libnewt.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnewt.a

%if %{with tcl}
%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/whiptcl.so
%endif

%if %{with python}
%files -n python-snack
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_snackmodule.so
%{py_sitedir}/snack.py[co]
%endif

%files -n whiptail
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/whiptail
%{_mandir}/man1/whiptail.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: newt.spec,v $
Revision 1.103  2011/11/13 06:07:50  qboosh
- updated to 0.52.14
- removed obsolete multipython patch

Revision 1.102  2011/07/17 15:12:45  wiget
- fix building with gold
- rel. 4

Revision 1.101  2011/07/06 18:08:34  arekm
- rel 3; package so.XX, too (ldconfig doesn't create these here)

Revision 1.100  2011/07/06 17:58:29  arekm
- rel 2; rebuild with fPIC

Revision 1.99  2011/07/01 16:11:38  qboosh
- updated to 0.52.13
- updated nopython,make patches
- added multipython patch (fixes configure/make when multiple python versions found; but snack module is not ready for python3)

Revision 1.98  2011/01/29 00:07:04  sparky
- dropped pre-cvs changelog

Revision 1.97  2011/01/28 01:55:53  sparky
- BR: gettext-devel

Revision 1.96  2010/11/11 06:35:27  qboosh
- ac version

Revision 1.95  2010/11/05 15:53:15  caleb
- Up to 0.52.12
- Removed patches applied upstream
- Fixed include path for slang
- Packaged pkgconfig in devel

Revision 1.94  2010/07/09 11:20:16  arekm
- release 4

Revision 1.93  2008/10/05 11:00:52  arekm
- release 3

Revision 1.92  2008/08/21 11:45:36  hawk
- dropped /usr/share/locale/bal, release 2

Revision 1.91  2008/08/19 19:29:57  qboosh
- cleanup

Revision 1.90  2008/08/19 19:26:39  qboosh
- updated to 0.52.10
- added URLs
- updated nopython,make patches, removed obsolete objfree patch

Revision 1.89  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.88  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.87  2007/01/27 22:12:17  arekm
- up to 0.52.4

Revision 1.86  2006/09/25 08:11:09  jajcus
- without_tcl bcond fixed

Revision 1.85  2006/08/28 17:42:06  grzegol
- added python25 patch (allow build with python-2.5.x)

Revision 1.84  2006/05/25 22:48:07  qboosh
- changelog typo fix

Revision 1.83  2006/05/24 17:16:03  pluto
- release 3, sent to Th.

Revision 1.82  2006/05/24 17:09:19  qboosh
- use -ltcl instead of -ltcl8.4 to link whiptcl (ready for tcl 8.5 now)
- optflags fix

Revision 1.81  2006/05/23 23:54:19  glen
- compile snack files and remove .py sources; rel 2

Revision 1.80  2006/05/17 23:22:14  glen
- updated to 0.52.2

Revision 1.79  2006/05/17 23:12:12  glen
- renamed newt-python to python-snack

Revision 1.78  2005/09/22 19:23:35  qboosh
- added nopython patch, python bcond works now

Revision 1.77  2005/09/22 19:14:27  qboosh
- fixed tcl module install (bcond enabled by default)
- removed useless aclocal call (and am BR)

Revision 1.76  2005/09/22 19:08:31  qboosh
- bcond descs, dropped outdated c_only patch

Revision 1.75  2005/09/16 08:50:23  arekm
- rel 2; rebuild

Revision 1.74  2005/09/16 08:15:01  arekm
- rework patches and bconds

Revision 1.73  2005/09/16 07:22:00  arekm
- br for new slang

Revision 1.72  2005/09/16 07:18:07  arekm
- fetch src from dropin

Revision 1.71  2005/04/24 01:06:37  patrys
- up to 0.51.6
- temporarily removed the tcl subpackage, seems to not be part of newt

Revision 1.70  2004/12/26 17:21:06  saq
- release 10 for rebuild with python 2.4

Revision 1.69  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.68  2004/07/28 08:03:14  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.67  2004/06/09 04:50:41  adgor
- Added gcc34.patch

Revision 1.66  2004/03/08 12:35:15  qboosh
- added norm patch (make fix), cleanup in build/install
- moved python files to py_sitedir, strict internal deps, release 9

Revision 1.65  2004/01/02 17:47:38  jajcus
- Release: 8 (STBR after AMD64 fixes)

Revision 1.64  2003/12/21 11:07:45  jajcus
- compile all whiptcl objects with -fPIC (this is required on AMD64) (newt-PIC.patch)

Revision 1.63  2003/12/19 14:31:35  jajcus
- bcond to build C libraries only
- libraries installed in proper libdir (/usr/lib64 on amd64)

Revision 1.62  2003/11/27 15:36:15  ankry
- rel.7 for Ac

Revision 1.61  2003/08/30 20:48:50  mmazur
- r rel 6 for ac

Revision 1.60  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.59  2003/06/30 21:16:07  mmazur
- fix building

Revision 1.58  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.57  2003/05/25 05:51:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.56  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.55  2002/08/15 16:26:02  areq
- fix %doc

Revision 1.54  2002/05/21 23:14:14  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.53  2002/04/11 14:02:28  wrobell
- rel. 5, stb

Revision 1.52  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.51  2002/04/06 18:09:43  marcus
- on ix86 sgml2txt work incorrectly too :(
- rel. 4.

Revision 1.50  2002/04/06 17:44:11  mmazur
- if arch=ppc don't make docs... sgml sucks... somebody fix

Revision 1.49  2002/03/30 04:31:54  agaran
- added buildreq docbook-utils (Blues: thanks for rpm -qa)

Revision 1.48  2002/02/23 04:05:40  kloczek
- adapterized.

Revision 1.47  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/02/06 07:50:00  kloczek
- s#%{py_sitedir}#%{py_libdir}#

Revision 1.45  2002/02/06 07:29:35  kloczek
- release 3: cleanups and rebuild against python 2.2.

Revision 1.44  2002/01/18 08:39:53  kloczek
- updated to 0.50.34,
- merge bunch fixes from Conectiva.

Revision 1.43  2002/01/18 02:14:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/11/04 02:37:20  blues
- URLs updated (from freshmeat)
  NOTE: there is new version avaible

Revision 1.41  2001/10/11 08:45:44  qboosh
- BuildRequires: autoconf, automake

Revision 1.40  2001/09/29 13:48:50  qboosh
- adapterized, fixed typo, added remaining pl translations

Revision 1.39  2001/08/09 01:15:27  agaran
- added aclocal/autoconf in %build, build ok with ac-25

Revision 1.38  2000/11/29 11:43:25  kloczek
- updated to 0.50.18 (release 2),
- spec adapterized,
- compile against pythin 2.0 and tcl 8.3.2,
- removed dialog from whiptail subpackage (dialog as separated package
  must be prepared).

Revision 1.37  2000/10/03 15:22:30  wiget
- some typo

Revision 1.36  2000/10/03 15:19:46  wiget
- build with python 2.0b2

Revision 1.35  2000/08/25 13:28:55  baggins
- one more

Revision 1.34  2000/08/25 13:27:06  baggins
- typo

Revision 1.33  2000/08/25 13:26:02  baggins
- typo

Revision 1.32  2000/08/25 13:24:36  baggins
- release 16
- added pythondirs patch
- requires python >= 1.6b1

Revision 1.31  2000/08/14 13:43:09  mis
- cosmeticts

Revision 1.30  2000/08/11 10:06:27  mis
- whiptail moved to its own package

Revision 1.29  2000/06/09 07:23:26  kloczek
- added using %{__make} macro.

Revision 1.28  2000/06/07 04:11:30  kloczek
- spec adapterized.

Revision 1.27  2000/04/01 11:15:06  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.25  1999/09/23 01:23:34  wiget
- added %{_bindir}/dialog (as link do %{_bindir}/whiptail)
- added Provides: dialog

Revision 1.24  1999/09/09 22:41:57  wiget
- added BuildRequires: python-devel

Revision 1.23  1999/09/09 20:37:26  wiget
- added missing %defattr

Revision 1.22  1999/09/09 16:55:25  kloczek
- release 13 (in rawhide is 12),
- added stripping shared objects,
- fixed passing $RPM_OPT_FLAGS to compile parameters,
- all %doc moved to devel and tutorial converted from sgml to txt (added
  BuildRequire: sgml-tools),
- cosmetic changes,
- rewrited pl %description im main.

Revision 1.21  1999/08/24 16:52:58  wiget
- updated to 0.50

Revision 1.20  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.19  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).
